Debian Bug report logs - #117608
gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard

version graph

Package: gnome-pilot-conduits; Maintainer for gnome-pilot-conduits is Debian QA Group <packages@qa.debian.org>;

Reported by: Isaac To <kkto@csis.hku.hk>

Date: Tue, 30 Oct 2001 02:18:01 UTC

Severity: grave

Found in version 0.4-4

Fixed in version gnome-pilot/0.1.63-1

Done: Mike Markley <mike@markley.org>

Bug is archived. No further changes may be made.

Forwarded to gnome-pilot-list@gnome.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#117608; Package gnome-pilot-conduits. Full text and rfc822 format available.

Acknowledgement sent to Isaac To <kkto@csis.hku.hk>:
New Bug report received and forwarded. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Isaac To <kkto@csis.hku.hk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard
Date: Tue, 30 Oct 2001 10:05:41 +0800
Package: gnome-pilot-conduits
Version: 0.4-4
Severity: important

(I've written this report after confirming that downgrading cures the problem,
so the version number listed is not the failing version.)

Once I upgraded to the unstable gnome-pilot/gnome-pilot-conduits 0.1.62-2/
0.7-1, I made a hot-sync trying to install a program into it, and... the Palm
fails with a "Fatal exception", and the exception can be cleared only by
performing a hard reset clearing all data in the Palm.  I've tried that
many times, and found that it is very repeatable: even in the starting state
after clearing the Palm completely, even when there is no memory stick
installed, when I install a new program file there, the Palm becomes unusable
(saying Fatal exception on wakeup and soft-reset).

On the other hand, the problem is not seen when I sync data into the Palm.
Except that, when I try to sync the address book or datebook, the records
data are not quite correct.  E.g., all people records will get empty fields,
and all date-book entry will become un-timed.

Getting back to the versions in testing (0.1.54 and 0.4) clears the problem.
"Important", as it causes major data loss (at least, in my case).

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux enark 2.4.10 #1 ¶g¤G 10¤ë 2 16:12:26 HKT 2001 i686
Locale: LANG=zh_TW.Big5, LC_CTYPE=zh_TW.Big5

Versions of packages gnome-pilot-conduits depends on:
ii  gdk-imlib1                  1.9.11-3     Gdk-Imlib is an imaging library fo
ii  gnome-pilot                 0.1.54-2     A GNOME applet for management of y
ii  libart2                     1.4.1.2-5    The Gnome canvas widget
ii  libaudiofile0               0.2.2-2      The Audiofile Library
ii  libc6                       2.2.4-3      GNU C Library: Shared libraries an
ii  libcapplet0                 1:1.4.0.1-13 Library for Gnome Control Center a
ii  libdb2                      2:2.7.7.0-1  The Berkeley database routines (ru
ii  libesd0                     0.2.22-6     Enlightened Sound Daemon - Shared 
ii  libglib1.2                  1.2.10-1.2   The GLib library of C routines
ii  libgnome-pilot0             0.1.54-2     Support librares for gnome-pilot
ii  libgnome32                  1.4.1.2-5    The Gnome libraries
ii  libgnomesupport0            1.4.1.2-5    The Gnome libraries (Support libra
ii  libgnomeui32                1.4.1.2-5    The Gnome libraries (User Interfac
ii  libgnorba27                 1.4.1.2-5    Gnome CORBA services
ii  libgtk1.2                   1.2.10-2.1   The GIMP Toolkit set of widgets fo
ii  liborbit0                   0.5.10-2     Libraries for ORBit - a CORBA ORB
ii  libpisock3                  0.9.5-pre5-3 Libraries for communicating with a
ii  libxml1                     1:1.8.16-1   GNOME XML library
ii  xlib6g                      4.1.0-9      pseudopackage providing X librarie
ii  zlib1g                      1:1.1.3-16   compression library - runtime




Reply sent to 117608@bugs.debian.org, 117608-submitter@bugs.debian.org, mike@markley.org:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 117608-forwarded@bugs.debian.org (full text, mbox):

From: Mike Markley <mike@markley.org>
To: gnome-pilot-list@gnome.org
Cc: 117608-forwarded@bugs.debian.org, 117608-submitter@bugs.debian.org
Subject: [kkto@csis.hku.hk: Bug#117608: gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard]
Date: Mon, 29 Oct 2001 16:42:22 -0800
This looks like a serious problem...

Please feel free to contact me for more info on the Debian packaging... I'm
also certain that the submitter wouldn't mind providing more info if needed.

----- Forwarded message from Isaac To <kkto@csis.hku.hk> -----

From: Isaac To <kkto@csis.hku.hk>
Date: Tue, 30 Oct 2001 10:05:41 +0800
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#117608: gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard

Package: gnome-pilot-conduits
Version: 0.4-4
Severity: important

(I've written this report after confirming that downgrading cures the problem,
so the version number listed is not the failing version.)

Once I upgraded to the unstable gnome-pilot/gnome-pilot-conduits 0.1.62-2/
0.7-1, I made a hot-sync trying to install a program into it, and... the Palm
fails with a "Fatal exception", and the exception can be cleared only by
performing a hard reset clearing all data in the Palm.  I've tried that
many times, and found that it is very repeatable: even in the starting state
after clearing the Palm completely, even when there is no memory stick
installed, when I install a new program file there, the Palm becomes unusable
(saying Fatal exception on wakeup and soft-reset).

On the other hand, the problem is not seen when I sync data into the Palm.
Except that, when I try to sync the address book or datebook, the records
data are not quite correct.  E.g., all people records will get empty fields,
and all date-book entry will become un-timed.

Getting back to the versions in testing (0.1.54 and 0.4) clears the problem.
"Important", as it causes major data loss (at least, in my case).

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux enark 2.4.10 #1 ¶g¤G 10¤ë 2 16:12:26 HKT 2001 i686
Locale: LANG=zh_TW.Big5, LC_CTYPE=zh_TW.Big5

Versions of packages gnome-pilot-conduits depends on:
ii  gdk-imlib1                  1.9.11-3     Gdk-Imlib is an imaging library fo
ii  gnome-pilot                 0.1.54-2     A GNOME applet for management of y
ii  libart2                     1.4.1.2-5    The Gnome canvas widget
ii  libaudiofile0               0.2.2-2      The Audiofile Library
ii  libc6                       2.2.4-3      GNU C Library: Shared libraries an
ii  libcapplet0                 1:1.4.0.1-13 Library for Gnome Control Center a
ii  libdb2                      2:2.7.7.0-1  The Berkeley database routines (ru
ii  libesd0                     0.2.22-6     Enlightened Sound Daemon - Shared 
ii  libglib1.2                  1.2.10-1.2   The GLib library of C routines
ii  libgnome-pilot0             0.1.54-2     Support librares for gnome-pilot
ii  libgnome32                  1.4.1.2-5    The Gnome libraries
ii  libgnomesupport0            1.4.1.2-5    The Gnome libraries (Support libra
ii  libgnomeui32                1.4.1.2-5    The Gnome libraries (User Interfac
ii  libgnorba27                 1.4.1.2-5    Gnome CORBA services
ii  libgtk1.2                   1.2.10-2.1   The GIMP Toolkit set of widgets fo
ii  liborbit0                   0.5.10-2     Libraries for ORBit - a CORBA ORB
ii  libpisock3                  0.9.5-pre5-3 Libraries for communicating with a
ii  libxml1                     1:1.8.16-1   GNOME XML library
ii  xlib6g                      4.1.0-9      pseudopackage providing X librarie
ii  zlib1g                      1:1.1.3-16   compression library - runtime


----- End forwarded message -----

-- 
Mike Markley <mike@markley.org>
GPG: 0x3B047084 7FC7 0DC0 EF31 DF83 7313  FE2B 77A8 F36A 3B04 7084

The idea of male and female are universal constants.
- Kirk, "Metamorphosis", stardate 3219.8



Message sent on to Isaac To <kkto@csis.hku.hk>:
Bug#117608. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#117608; Package gnome-pilot-conduits. Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org (Debian Bug Tracking System):
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #16 received at 117608@bugs.debian.org (full text, mbox):

From: owner@bugs.debian.org (Debian Bug Tracking System)
To: 117608@bugs.debian.org, 117608-submitter@bugs.debian.org, mike@markley.org
Cc: Mike Markley <mike@markley.org>
Subject: Bug#117608: marked as forwarded (gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard)
Date: Mon, 29 Oct 2001 21:48:02 -0600
Your message dated Mon, 29 Oct 2001 16:42:22 -0800
with message-id <20011029164222.R12529@madhack.com>
has caused the Debian Bug report #117608,
regarding gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard
to be marked as having been forwarded to the upstream software
author(s) gnome-pilot-list@gnome.org.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Darren Benham
(administrator, Debian Bugs database)




Message sent on to Isaac To <kkto@csis.hku.hk>:
Bug#117608. Full text and rfc822 format available.

Message #20 received at 117608-forwarded@bugs.debian.org (full text, mbox):

From: Eskil Heyn Olsen <eskil@eskil.org>
To: <gnome-pilot-list@gnome.org>
Cc: <117608-forwarded@bugs.debian.org>, <117608-submitter@bugs.debian.org>
Subject: Re: [kkto@csis.hku.hk: Bug#117608: gnome-pilot-conduits: New gnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard]
Date: Fri, 2 Nov 2001 11:51:58 +0900 (GMT-9)
On Mon, 29 Oct 2001, Mike Markley wrote:

> This looks like a serious problem...

Oh shit, this could be the faulty file/backup conduit in .62 that omits
the AppBlock structure from prcs. I'll get my act together and release .63
RSN (no later than sunday PST)

/dev/eskil
---




Message sent on to Isaac To <kkto@csis.hku.hk>:
Bug#117608. Full text and rfc822 format available.

Message #24 received at 117608-forwarded@bugs.debian.org (full text, mbox):

From: Gustavo Maciel Dias Vieira <gdvieira@zaz.com.br>
To: gnome-pilot-list@gnome.org
Cc: 117608-forwarded@bugs.debian.org, 117608-submitter@bugs.debian.org
Subject: Re: [kkto@csis.hku.hk: Bug#117608: gnome-pilot-conduits: Newgnome-pilot-conduits (or gnome-pilot) causes M500 to fail hard]
Date: Fri, 02 Nov 2001 08:23:54 -0200
Eskil Heyn Olsen wrote:
> 
> On Mon, 29 Oct 2001, Mike Markley wrote:
> 
> > This looks like a serious problem...
> 
> Oh shit, this could be the faulty file/backup conduit in .62 that omits
> the AppBlock structure from prcs. I'll get my act together and release .63
> RSN (no later than sunday PST)

And this bug is serious enough to warrant an alert to all users to
completely stop using the versions affected (0.1.61-0.1.62 I
guess). The backups made with this versions are *useless* and will
more likely crash the pilot once restored. 

Also, all users that already have backups made with the affected
versions should delete all backup files and start a fresh backup. This
is so because backups of slow changing data bases made with the
affected versions of gnome-pilot will probably stay damaged in the
disk for a long time.

Gustavo

-- 
gdvieira@zaz.com.br
http://www.ic.unicamp.br/~ra941486



Message sent on to Isaac To <kkto@csis.hku.hk>:
Bug#117608. Full text and rfc822 format available.

Severity set to `grave'. Request was from Mike Markley <mike@markley.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Mike Markley <mike@markley.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Isaac To <kkto@csis.hku.hk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 117608-close@bugs.debian.org (full text, mbox):

From: Mike Markley <mike@markley.org>
To: 117608-close@bugs.debian.org
Subject: Bug#117608: fixed in gnome-pilot 0.1.63-1
Date: Tue, 06 Nov 2001 14:56:27 -0500
We believe that the bug you reported is fixed in the latest version of
gnome-pilot, which has been installed in the Debian FTP archive:

gnome-pilot_0.1.63-1.dsc
  to pool/main/g/gnome-pilot/gnome-pilot_0.1.63-1.dsc
gnome-pilot_0.1.63-1_i386.deb
  to pool/main/g/gnome-pilot/gnome-pilot_0.1.63-1_i386.deb
libgnome-pilot1_0.1.63-1_i386.deb
  to pool/main/g/gnome-pilot/libgnome-pilot1_0.1.63-1_i386.deb
gnome-pilot_0.1.63-1.diff.gz
  to pool/main/g/gnome-pilot/gnome-pilot_0.1.63-1.diff.gz
gnome-pilot_0.1.63.orig.tar.gz
  to pool/main/g/gnome-pilot/gnome-pilot_0.1.63.orig.tar.gz
libgnome-pilot1-dev_0.1.63-1_i386.deb
  to pool/main/g/gnome-pilot/libgnome-pilot1-dev_0.1.63-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 117608@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Markley <mike@markley.org> (supplier of updated gnome-pilot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  6 Nov 2001 02:06:44 -0800
Source: gnome-pilot
Binary: gnome-pilot libgnome-pilot1-dev libgnome-pilot1
Architecture: source i386
Version: 0.1.63-1
Distribution: unstable
Urgency: high
Maintainer: Mike Markley <mike@markley.org>
Changed-By: Mike Markley <mike@markley.org>
Description: 
 gnome-pilot - A GNOME applet for management of your Palm PDA
 libgnome-pilot1 - Support librares for gnome-pilot
 libgnome-pilot1-dev - Development librares for gnome-pilot
Closes: 117608
Changes: 
 gnome-pilot (0.1.63-1) unstable; urgency=high
 .
   * Fix to file/backup conduit that omits a key struct and
     therefore caused crashes on file uploads and corrupted
     backups (Closes: #117608)
Files: 
 ba8f3f0b2a891880969fab4d9dbebf80 799 otherosfs extra gnome-pilot_0.1.63-1.dsc
 3f815a7a58d54f49049b5f97e5745185 907499 otherosfs extra gnome-pilot_0.1.63.orig.tar.gz
 f9324036809c95c8a35c5069823f88b6 48343 otherosfs extra gnome-pilot_0.1.63-1.diff.gz
 0687480da3ca8ee37a9ac70019128168 336910 otherosfs extra gnome-pilot_0.1.63-1_i386.deb
 06dbd7d2be6ffececcc439f8528f3c8d 92506 libs extra libgnome-pilot1_0.1.63-1_i386.deb
 8e250fc7846cd2b2f30c61ccbce5cb35 128166 devel extra libgnome-pilot1-dev_0.1.63-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE758Ixd6jzajsEcIQRArSmAKCi+bEEXp0YQkjmwNJmAIS1LFfIoQCgiFLk
cf4vXkYbFcMLWf2l7TjU2Vw=
=MZVy
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:07:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.